// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: event/monitoring/WeatherAlarm.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace Event.Monitoring {

  /// <summary>Holder for reflection information generated from event/monitoring/WeatherAlarm.proto</summary>
  public static partial class WeatherAlarmReflection {

    #region Descriptor
    /// <summary>File descriptor for event/monitoring/WeatherAlarm.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static WeatherAlarmReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "CiNldmVudC9tb25pdG9yaW5nL1dlYXRoZXJBbGFybS5wcm90bxIQZXZlbnQu",
            "bW9uaXRvcmluZyKcAQoMV2VhdGhlckFsYXJtEhAKCGdlb21ldHJ5GAEgASgJ",
            "Eg8KB3VyZ2VuY3kYAiABKAkSDQoFc3RhcnQYAyABKAkSDAoEc3RvcBgEIAEo",
            "CRIVCghjYXRlZ29yeRgFIAEoCUgAiAEBEhgKC2Rlc2NyaXB0aW9uGAYgASgJ",
            "SAGIAQFCCwoJX2NhdGVnb3J5Qg4KDF9kZXNjcmlwdGlvbkKNAQoiY29tLmNv",
            "ZGlibHkubW9kZWwuZXZlbnQubW9uaXRvcmluZ0IRV2VhdGhlckFsYXJtUHJv",
            "dG/KAiJEb21haW5Nb2RlbFxQcm90b1xFdmVudFxNb25pdG9yaW5n4gIuRG9t",
            "YWluTW9kZWxcUHJvdG9cRXZlbnRcTW9uaXRvcmluZ1xHUEJNZXRhZGF0YWIG",
            "cHJvdG8z"));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::Event.Monitoring.WeatherAlarm), global::Event.Monitoring.WeatherAlarm.Parser, new[]{ "Geometry", "Urgency", "Start", "Stop", "Category", "Description" }, new[]{ "Category", "Description" }, null, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class WeatherAlarm : pb::IMessage<WeatherAlarm>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<WeatherAlarm> _parser = new pb::MessageParser<WeatherAlarm>(() => new WeatherAlarm());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<WeatherAlarm> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::Event.Monitoring.WeatherAlarmReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WeatherAlarm() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WeatherAlarm(WeatherAlarm other) : this() {
      geometry_ = other.geometry_;
      urgency_ = other.urgency_;
      start_ = other.start_;
      stop_ = other.stop_;
      category_ = other.category_;
      description_ = other.description_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WeatherAlarm Clone() {
      return new WeatherAlarm(this);
    }

    /// <summary>Field number for the "geometry" field.</summary>
    public const int GeometryFieldNumber = 1;
    private string geometry_ = "";
    /// <summary>
    /// must be GeoJSON
    /// </summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Geometry {
      get { return geometry_; }
      set {
        geometry_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "urgency" field.</summary>
    public const int UrgencyFieldNumber = 2;
    private string urgency_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Urgency {
      get { return urgency_; }
      set {
        urgency_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "start" field.</summary>
    public const int StartFieldNumber = 3;
    private string start_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Start {
      get { return start_; }
      set {
        start_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "stop" field.</summary>
    public const int StopFieldNumber = 4;
    private string stop_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Stop {
      get { return stop_; }
      set {
        stop_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "category" field.</summary>
    public const int CategoryFieldNumber = 5;
    private string category_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Category {
      get { return category_ ?? ""; }
      set {
        category_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "category" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasCategory {
      get { return category_ != null; }
    }
    /// <summary>Clears the value of the "category" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearCategory() {
      category_ = null;
    }

    /// <summary>Field number for the "description" field.</summary>
    public const int DescriptionFieldNumber = 6;
    private string description_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Description {
      get { return description_ ?? ""; }
      set {
        description_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "description" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasDescription {
      get { return description_ != null; }
    }
    /// <summary>Clears the value of the "description" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearDescription() {
      description_ = null;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as WeatherAlarm);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(WeatherAlarm other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (Geometry != other.Geometry) return false;
      if (Urgency != other.Urgency) return false;
      if (Start != other.Start) return false;
      if (Stop != other.Stop) return false;
      if (Category != other.Category) return false;
      if (Description != other.Description) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (Geometry.Length != 0) hash ^= Geometry.GetHashCode();
      if (Urgency.Length != 0) hash ^= Urgency.GetHashCode();
      if (Start.Length != 0) hash ^= Start.GetHashCode();
      if (Stop.Length != 0) hash ^= Stop.GetHashCode();
      if (HasCategory) hash ^= Category.GetHashCode();
      if (HasDescription) hash ^= Description.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (Geometry.Length != 0) {
        output.WriteRawTag(10);
        output.WriteString(Geometry);
      }
      if (Urgency.Length != 0) {
        output.WriteRawTag(18);
        output.WriteString(Urgency);
      }
      if (Start.Length != 0) {
        output.WriteRawTag(26);
        output.WriteString(Start);
      }
      if (Stop.Length != 0) {
        output.WriteRawTag(34);
        output.WriteString(Stop);
      }
      if (HasCategory) {
        output.WriteRawTag(42);
        output.WriteString(Category);
      }
      if (HasDescription) {
        output.WriteRawTag(50);
        output.WriteString(Description);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (Geometry.Length != 0) {
        output.WriteRawTag(10);
        output.WriteString(Geometry);
      }
      if (Urgency.Length != 0) {
        output.WriteRawTag(18);
        output.WriteString(Urgency);
      }
      if (Start.Length != 0) {
        output.WriteRawTag(26);
        output.WriteString(Start);
      }
      if (Stop.Length != 0) {
        output.WriteRawTag(34);
        output.WriteString(Stop);
      }
      if (HasCategory) {
        output.WriteRawTag(42);
        output.WriteString(Category);
      }
      if (HasDescription) {
        output.WriteRawTag(50);
        output.WriteString(Description);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (Geometry.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Geometry);
      }
      if (Urgency.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Urgency);
      }
      if (Start.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Start);
      }
      if (Stop.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Stop);
      }
      if (HasCategory) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Category);
      }
      if (HasDescription) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Description);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(WeatherAlarm other) {
      if (other == null) {
        return;
      }
      if (other.Geometry.Length != 0) {
        Geometry = other.Geometry;
      }
      if (other.Urgency.Length != 0) {
        Urgency = other.Urgency;
      }
      if (other.Start.Length != 0) {
        Start = other.Start;
      }
      if (other.Stop.Length != 0) {
        Stop = other.Stop;
      }
      if (other.HasCategory) {
        Category = other.Category;
      }
      if (other.HasDescription) {
        Description = other.Description;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            Geometry = input.ReadString();
            break;
          }
          case 18: {
            Urgency = input.ReadString();
            break;
          }
          case 26: {
            Start = input.ReadString();
            break;
          }
          case 34: {
            Stop = input.ReadString();
            break;
          }
          case 42: {
            Category = input.ReadString();
            break;
          }
          case 50: {
            Description = input.ReadString();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            Geometry = input.ReadString();
            break;
          }
          case 18: {
            Urgency = input.ReadString();
            break;
          }
          case 26: {
            Start = input.ReadString();
            break;
          }
          case 34: {
            Stop = input.ReadString();
            break;
          }
          case 42: {
            Category = input.ReadString();
            break;
          }
          case 50: {
            Description = input.ReadString();
            break;
          }
        }
      }
    }
    #endif

  }

  #endregion

}

#endregion Designer generated code
